> ## Documentation Index
> Fetch the complete documentation index at: https://www.text.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List webhook names

> Lists all webhooks that are supported in a given API version. This method requires no authorization.



## OpenAPI

````yaml /api/configuration/v3.6/openapi.json post /action/list_webhook_names
openapi: 3.1.0
info:
  title: Configuration API
  version: v3.6
servers:
  - url: https://api.livechatinc.com/v3.6/configuration
security:
  - PersonalAccessToken: []
  - OAuth2BearerToken: []
paths:
  /action/list_webhook_names:
    post:
      tags:
        - Webhooks
      summary: List webhook names
      description: >-
        Lists all webhooks that are supported in a given API version. This
        method requires no authorization.
      operationId: list-webhook-names
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ListWebhookNamesRequest'
            example:
              version: '3.6'
      responses:
        '200':
          description: A list of supported webhook names with available filters.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/WebhookNameItem'
              example:
                - action: agent_deleted
                  filters:
                    - agent_ids
                - action: chat_access_updated
                  filters:
                    - chat_presence
                    - only_my_chats
                  additional_data:
                    - chat_properties
                    - chat_presence_user_ids
components:
  schemas:
    ListWebhookNamesRequest:
      type: object
      properties:
        version:
          type: string
          description: 'The API version. Default: the current stable API version.'
    WebhookNameItem:
      type: object
      properties:
        action:
          type: string
          description: The webhook action name.
        filters:
          type: array
          items:
            type: string
          description: Available filter names for this action.
        additional_data:
          type: array
          items:
            type: string
          description: Available additional data fields for this action.
  securitySchemes:
    PersonalAccessToken:
      type: http
      scheme: basic
      description: >-
        Use your `account ID` as the username and your personal access token
        (PAT) as the password, or pass a Base64-encoded value directly in the
        Authorization header. For more information, see the <a
        href="/authentication/personal-access-tokens">personal access tokens
        guide</a>.
    OAuth2BearerToken:
      type: http
      scheme: bearer
      description: Authenticate using an OAuth 2.0 Bearer token.
      x-example: us-south1:MQraNrGCsoJvtxD7KNJQB1kM3d5

````